Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

# Serialized Form

Package javax.jcr

Class javax.jcr.AccessDeniedException extends RepositoryException implements Serializable

Class javax.jcr.InvalidItemStateException extends RepositoryException implements Serializable

Class javax.jcr.InvalidSerializedDataException extends RepositoryException implements Serializable

Class javax.jcr.ItemExistsException extends RepositoryException implements Serializable

Class javax.jcr.ItemNotFoundException extends RepositoryException implements Serializable

Class javax.jcr.LoginException extends RepositoryException implements Serializable

Class javax.jcr.MergeException extends RepositoryException implements Serializable

Class javax.jcr.NamespaceException extends RepositoryException implements Serializable

Class javax.jcr.NoSuchWorkspaceException extends RepositoryException implements Serializable

Class javax.jcr.PathNotFoundException extends RepositoryException implements Serializable

Class javax.jcr.ReferentialIntegrityException extends RepositoryException implements Serializable

Class javax.jcr.RepositoryException extends java.lang.Exception implements Serializable

Serialized Fields

## rootCause

    java.lang.Throwable rootCause

  Root failure cause

Class javax.jcr.SimpleCredentials extends java.lang.Object implements Serializable

Serialized Fields

## userID

    java.lang.String userID

## password

    char[] password

## attributes

    java.util.HashMap<K,V> attributes

Class javax.jcr.UnsupportedRepositoryOperationException extends RepositoryException implements Serializable

Class javax.jcr.ValueFormatException extends RepositoryException implements Serializable

Package javax.jcr.lock

Class javax.jcr.lock.LockException extends RepositoryException implements Serializable

Package javax.jcr.nodetype

Class javax.jcr.nodetype.ConstraintViolationException extends RepositoryException implements Serializable

Class javax.jcr.nodetype.NoSuchNodeTypeException extends RepositoryException implements Serializable

Package javax.jcr.query

Class javax.jcr.query.InvalidQueryException extends RepositoryException implements Serializable

Package javax.jcr.version

Class javax.jcr.version.VersionException extends RepositoryException implements Serializable

Package javax.xml.bind

Class javax.xml.bind.JAXBException extends java.lang.Exception implements Serializable

Serialized Fields

## errorCode

    java.lang.String errorCode

  Vendor specific error code

## linkedException

    java.lang.Throwable linkedException

  Exception reference

Class javax.xml.bind.MarshalException extends JAXBException implements Serializable

Class javax.xml.bind.PropertyException extends JAXBException implements Serializable

Class javax.xml.bind.TypeConstraintException extends java.lang.RuntimeException implements Serializable

Class javax.xml.bind.UnmarshalException extends JAXBException implements Serializable

Class javax.xml.bind.ValidationException extends JAXBException implements Serializable

Package javax.xml.parsers

Class javax.xml.parsers.FactoryConfigurationError extends java.lang.Error implements Serializable

Serialized Fields

## exception

    java.lang.Exception exception

Class javax.xml.parsers.ParserConfigurationException extends java.lang.Exception implements Serializable

Package javax.xml.transform

Class javax.xml.transform.TransformerConfigurationException extends TransformerException implements Serializable

Class javax.xml.transform.TransformerException extends java.lang.Exception implements Serializable

Serialized Fields

## locator

    SourceLocator locator

  Field locator specifies where the error occured.

## containedException

    java.lang.Throwable containedException

  Field containedException specifies a wrapped exception. May be null.

Class javax.xml.transform.TransformerFactoryConfigurationError extends java.lang.Error implements Serializable

Serialized Fields

## exception

    java.lang.Exception exception

  The contained exception.

Package oracle.jcr

Package oracle.jcr.xdb

Class oracle.jcr.xdb.JDBCConnectionCredentials extends java.lang.Object implements Serializable

Serialized Fields

## m_Connection

    java.sql.Connection m_Connection

  The JDBC connection.

Class oracle.jcr.xdb.XDBRepositoryConfiguration extends java.lang.Object implements Serializable

serialVersionUID: 1101000000L

Serialized Fields

## m_Descriptors

    java.util.HashMap<K,V> m_Descriptors

  Descriptor values hashed by key.

## m_DataSource

    javax.sql.DataSource m_DataSource

  The data source.

## m_TransactionMode

    byte m_TransactionMode

  The transaction mode.

## m_XDBRepositoryConfigurationState

    oracle.jcr.impl.xdb.XDBRepositoryConfigurationState m_XDBRepositoryConfigurationState

  The internal state of this XDBRepositoryConfiguration, currently the namespace registry and the node type registry.

Package oracle.xdb

Class oracle.xdb.XMLType extends oracle.sql.OPAQUE implements Serializable

Serialized Fields

## m_conntype

    int m_conntype

  local class members

## m_gpCState

    long m_gpCState

## m_stringval

    java.lang.String m_stringval

## m_bytesval

    java.io.ByteArrayOutputStream m_bytesval

## m_clobval

    oracle.sql.CLOB m_clobval

## m_blobval

    oracle.sql.BLOB m_blobval

## m_bytes

    byte[] m_bytes

## m_qname

    javax.xml.namespace.QName m_qname

## m_cstate

    long m_cstate

## m_local_conn

    oracle.jdbc.internal.OracleConnection m_local_conn

## m_dom

    Document m_dom

## m_charSet

    oracle.sql.CharacterSet m_charSet

## m_isClosed

    boolean m_isClosed

## m_csid

    int m_csid

## m_blobCS

    oracle.sql.CharacterSet m_blobCS

## m_kind

    java.lang.String m_kind

## m_isCSX

    boolean m_isCSX

## m_isXQDM

    boolean m_isXQDM

## m_metadataconn

    java.lang.Object m_metadataconn

## m_CSXencoding

    java.lang.String m_CSXencoding

## m_isReadOnly

    boolean m_isReadOnly

## m_scalable

    boolean m_scalable

## m_chunkmode

    boolean m_chunkmode

## m_schemaURL

    java.lang.String m_schemaURL

## m_thinflags

    int m_thinflags

  fields used during processing thin images

## m_thinsnapshot

    byte[] m_thinsnapshot

## m_thinschoid

    byte[] m_thinschoid

## m_thinelemnum

    byte[] m_thinelemnum

## m_picklepref

    int m_picklepref

Package oracle.xdb.dom

Class oracle.xdb.dom.XDBDOMException extends DOMException implements Serializable

Class oracle.xdb.dom.XDBDOMNotFoundErrException extends XDBDOMException implements Serializable

Class oracle.xdb.dom.XDBNotImplementedException extends java.lang.RuntimeException implements Serializable

Package oracle.xdb.event

Class oracle.xdb.event.XDBInvalidOperationException extends java.lang.RuntimeException implements Serializable

Package oracle.xml.async

Class oracle.xml.async.DOMBuilder extends java.lang.Object implements Serializable

Serialized Fields

## reader

    java.io.Reader reader

  java.io.Reader containing XML data to be parsed

## rootName

    java.lang.String rootName

  Name of the XML element to be treated as root

## inString

    java.lang.String inString

  String containing the URL to parse XML data from

## inStream

    java.io.InputStream inStream

  InputStream containing XML data to parse

## url

    java.net.URL url

  URL to parse XML data from

## inSource

    InputSource inSource

  InputSource containing XML data to parse

## methodToCall

    int methodToCall

  XML Parser method to call based on input types

## result

    XMLDocument result

  XML Document being parsed

## id

    int id

## DOMEventListenerVect

    java.util.Vector<E> DOMEventListenerVect

## ErrorEventListenerVect

    java.util.Vector<E> ErrorEventListenerVect

## workingFlag

    boolean workingFlag

## parser

    DOMParser parser

## thrd

    java.lang.Thread thrd

Class oracle.xml.async.DOMBuilderErrorEvent extends java.util.EventObject implements Serializable

Serialized Fields

## e

    java.lang.Exception e

  The exception being raised.

Class oracle.xml.async.DOMBuilderEvent extends java.util.EventObject implements Serializable

Serialized Fields

## id

    int id

  ID of the source DOMBuilder object

Class oracle.xml.async.XSLTransformer extends java.lang.Object implements Serializable

Serialized Fields

## methodToCall

    int methodToCall

  The XSL transformation method to call based on input types.

## result

    DocumentFragment result

  Transformation result document.

## id

    int id

## xmlDocument

    XMLDocument xmlDocument

## xslStylesheet

    XSLStylesheet xslStylesheet

## xmlReader

    java.io.Reader xmlReader

## xmlInputStream

    java.io.InputStream xmlInputStream

## xmlURL

    java.net.URL xmlURL

## refURL

    java.net.URL refURL

## xslOutputStream

    java.io.OutputStream xslOutputStream

## processor

    XSLProcessor processor

## XSLEventListenerVect

    java.util.Vector<E> XSLEventListenerVect

## ErrorEventListenerVect

    java.util.Vector<E> ErrorEventListenerVect

## workingFlag

    boolean workingFlag

## thrd

    java.lang.Thread thrd

Class oracle.xml.async.XSLTransformerErrorEvent extends java.util.EventObject implements Serializable

Serialized Fields

## e

    java.lang.Exception e

  The exception being raised.

Class oracle.xml.async.XSLTransformerEvent extends java.util.EventObject implements Serializable

Serialized Fields

## id

    int id

  ID of the source XSLTransformer object

Package oracle.xml.binxml

Class oracle.xml.binxml.BinXMLException extends java.lang.Exception implements Serializable

Serialized Fields

## error

    XMLError error

Package oracle.xml.differ

Class oracle.xml.differ.XMLDiff extends java.lang.Object implements Serializable

Serialized Fields

## m_doc1

    XMLDocument m_doc1

## m_doc2

    XMLDocument m_doc2

## m_diff

    oracle.xml.differ.Diff m_diff

## m_dom1

    DOMBuilder m_dom1

## m_dom2

    DOMBuilder m_dom2

## m_rm

    ResourceManager m_rm

## m_xsl_indent

    int m_xsl_indent

## m_dh

    oracle.xml.differ.DomHash m_dh

## m_moves

    boolean m_moves

## m_xsl_nodeindent

    int m_xsl_nodeindent

## m_domparser

    DOMParser m_domparser

## m_delWSdeletes

    boolean m_delWSdeletes

Package oracle.xml.parser.schema

Class oracle.xml.parser.schema.XSDException extends java.lang.Exception implements Serializable

Serialized Fields

## errId

    int errId

## errParams

    java.lang.String[] errParams

## nparam

    int nparam

## node

    XMLElement node

## defaultErr

    XMLError defaultErr

Package oracle.xml.parser.v2

Class oracle.xml.parser.v2.AttrDecl extends XMLNode implements Serializable

Serialization Methods

## readExternal

    public void readExternal(java.io.ObjectInput inArg)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  This method reads the information written in the compressed stream by writeExternal method and restores the object correspondingly.
  Throws:
    `java.io.IOException` - is thrown when there is an error in reading the input stream.
    `java.lang.ClassNotFoundException` - is thrown when the class is not found

## writeExternal

    public void writeExternal(java.io.ObjectOutput outArg)
                       throws java.io.IOException

  This method saves the state of the object by creating a binary compressed stream with information about this object.
  Throws:
    `java.io.IOException` - is thrown when there is an exception while writing the serialized/compressed stream.

Class oracle.xml.parser.v2.DTD extends XMLNode implements Serializable

Serialization Methods

## readExternal

    public void readExternal(java.io.ObjectInput inArg)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  This method reads the information written in the compressed stream by writeExternal method and restores the object correspondingly.
  Throws:
    `java.io.IOException` - is thrown when there is an error in reading the input stream.
    `java.lang.ClassNotFoundException` - is thrown when the class is not found.

## writeExternal

    public void writeExternal(java.io.ObjectOutput outArg)
                       throws java.io.IOException

  This method saves the state of the object by creating a binray compressed stream with information about this object.
  Throws:
    `java.io.IOException` - is thrown when there is an exception while writing the serialized/compressed stream.

Class oracle.xml.parser.v2.ElementDecl extends XMLNode implements Serializable

Serialization Methods

## readExternal

    public void readExternal(java.io.ObjectInput inArg)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  This method reads the information written in the compressed stream by writeExternal method and restores the object correspondingly.
  Throws:
    `java.io.IOException` - is thrown when there is an error in reading the input stream.
    `java.lang.ClassNotFoundException` - is thrown when the class is not found

## writeExternal

    public void writeExternal(java.io.ObjectOutput outArg)
                       throws java.io.IOException

  This method saves the state of the object by creating a binray compressed stream with information about this object.
  Throws:
    `java.io.IOException` - is thrown when there is an exception while writing the serialized/compressed stream.

Class oracle.xml.parser.v2.NodeFactory extends java.lang.Object implements Serializable

Serialized Fields

## defaultDoc

    XMLDocument defaultDoc

  This document is used to create the node, based on the type of the XMLDocument. This isn't the ownerDocument of the nodes created, the ownerDocument is set in DocumentBuilder.

Class oracle.xml.parser.v2.XMLAttr extends XMLNSNode implements Serializable

Serialization Methods

## readExternal

    public void readExternal(java.io.ObjectInput inArg)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  This method reads the information written in the compressed stream by writeExternal method and restores the object correspondingly.
  Throws:
    `java.io.IOException` - is thrown when there is an error in reading the input stream.
    `java.lang.ClassNotFoundException` - is thrown when the class is not found

## writeExternal

    public void writeExternal(java.io.ObjectOutput outArg)
                       throws java.io.IOException

  This method saves the state of the object by creating a binary compressed stream with information about this object.
  Throws:
    `java.io.IOException` - is thrown when there is an exception while writing the serialized/compressed stream.

Class oracle.xml.parser.v2.XMLCDATA extends XMLText implements Serializable

Serialization Methods

## readExternal

    public void readExternal(java.io.ObjectInput inArg)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  This method reads the information written in the compressed stream by writeExternal method and restores the object correspondingly.
  Throws:
    `java.io.IOException` - is thrown when there is an error in reading the input stream.
    `java.lang.ClassNotFoundException` - is thrown when the class is not found

## writeExternal

    public void writeExternal(java.io.ObjectOutput outArg)
                       throws java.io.IOException

  This method saves the state of the object by creating a binary compressed stream with information about this object.
  Throws:
    `java.io.IOException` - is thrown when there is an exception while writing the serialized/compressed stream.

Class oracle.xml.parser.v2.XMLComment extends oracle.xml.parser.v2.CharData implements Serializable

Serialization Methods

## readExternal

    public void readExternal(java.io.ObjectInput inArg)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  This method reads the information written in the compressed stream by writeExternal method and restores the object correspondingly.
  Throws:
    `java.io.IOException` - is thrown when there is an error in reading the input stream.
    `java.lang.ClassNotFoundException` - is thrown when the class is not found

## writeExternal

    public void writeExternal(java.io.ObjectOutput outArg)
                       throws java.io.IOException

  This method saves the state of the object by creating a binary compressed stream with information about this object.
  Throws:
    `java.io.IOException` - is thrown when there is an exception while writing the serialized/compressed stream.

Class oracle.xml.parser.v2.XMLDeclPI extends XMLPI implements Serializable

Serialization Methods

## readExternal

    public void readExternal(java.io.ObjectInput inArg)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  This method reads the information written in the compressed stream by writeExternal method and restores the object correspondingly.
  Throws:
    `java.io.IOException` - is thrown when there is an error in reading the input stream.
    `java.lang.ClassNotFoundException` - is thrown when the class is not found

## writeExternal

    public void writeExternal(java.io.ObjectOutput outArg)
                       throws java.io.IOException

  This method saves the state of the object by creating a binary compressed stream with information about this object.
  Throws:
    `java.io.IOException` - is thrown when there is an exception while writing the serialized/compressed stream.

Class oracle.xml.parser.v2.XMLDocument extends XMLElement implements Serializable

Serialization Methods

## readExternal

    public void readExternal(java.io.ObjectInput inArg)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  This method reads the information written in the compressed stream by writeExternal method and restores the object correspondingly.
  Throws:
    `java.io.IOException` - is thrown when there is an error in reading the input stream.
    `java.lang.ClassNotFoundException` - is thrown when the class is not found

## writeExternal

    public void writeExternal(java.io.ObjectOutput outArg)
                       throws java.io.IOException

  This method saves the state of the object by creating a binary compressed stream with information about this object.
  Throws:
    `java.io.IOException` - is thrown when there is an exception while writing the serialized/compressed stream.

Class oracle.xml.parser.v2.XMLDocumentFragment extends XMLElement implements Serializable

Serialization Methods

## readExternal

    public void readExternal(java.io.ObjectInput inArg)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  This method reads the information written in the compressed stream by writeExternal method and restores the object correspondingly.
  Throws:
    `java.io.IOException` - is thrown when there is an error in reading the input stream.
    `java.lang.ClassNotFoundException` - is thrown when the class is not found

## writeExternal

    public void writeExternal(java.io.ObjectOutput outArg)
                       throws java.io.IOException

  This method saves the state of the object by creating a binary compressed stream with information about this object.
  Throws:
    `java.io.IOException` - is thrown when there is an exception while writing the serialized/compressed stream.

Class oracle.xml.parser.v2.XMLDOMException extends DOMException implements Serializable

Class oracle.xml.parser.v2.XMLDOMImplementation extends java.lang.Object implements Serializable

Serialized Fields

## conn

    java.sql.Connection conn

## kind

    java.lang.String kind

## flags

    int flags

## scalable

    boolean scalable

## accessMode

    java.lang.String accessMode

Class oracle.xml.parser.v2.XMLElement extends XMLNSNode implements Serializable

Serialization Methods

## readExternal

    public void readExternal(java.io.ObjectInput inArg)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  This method reads the information written in the compressed stream by writeExternal method and restores the object correspondingly.
  Throws:
    `java.io.IOException` - is thrown when there is an error in reading the input stream.
    `java.lang.ClassNotFoundException` - is thrown when the class is not found

## writeExternal

    public void writeExternal(java.io.ObjectOutput outArg)
                       throws java.io.IOException

  This method saves the state of the object by creating a binary compressed stream with information about this object.
  Throws:
    `java.io.IOException` - is thrown when there is an exception while writing the serialized/compressed stream.

Class oracle.xml.parser.v2.XMLEntity extends XMLNSNode implements Serializable

Serialization Methods

## readExternal

    public void readExternal(java.io.ObjectInput inArg)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException,
                             java.io.EOFException

  This method reads the information written in the compressed stream by writeExternal method and restores the object correspondingly.
  Throws:
    `java.io.IOException` - is thrown when there is an error in reading the input stream.
    `java.lang.ClassNotFoundException` - is thrown when the class is not found.
    `java.io.EOFException` - is thrown when End of File is encountered.

## writeExternal

    public void writeExternal(java.io.ObjectOutput outArg)
                       throws java.io.IOException

  This method saves the state of the object by creating a binary compressed stream with information about this object.
  Throws:
    `java.io.IOException` - is thrown when there is an exception while writing the serialized/compressed stream.

Class oracle.xml.parser.v2.XMLEntityReference extends XMLNSNode implements Serializable

Serialization Methods

## readExternal

    public void readExternal(java.io.ObjectInput inArg)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  This method reads the information written in the compressed stream by writeExternal method and restores the object correspondingly.
  Throws:
    `java.io.IOException` - is thrown when there is an error in reading the input stream.
    `java.lang.ClassNotFoundException` - is thrown when the class is not found

## writeExternal

    public void writeExternal(java.io.ObjectOutput outArg)
                       throws java.io.IOException

  This method saves the state of the object by creating a binary compressed stream with information about this object.
  Throws:
    `java.io.IOException` - is thrown when there is an exception while writing the serialized/compressed stream.

Class oracle.xml.parser.v2.XMLNode extends java.lang.Object implements Serializable

Serialization Methods

## readExternal

    public void readExternal(java.io.ObjectInput inArg)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  This method reads the information written in the compressed stream by writeExternal method and restores the object correspondingly.
  Throws:
    `java.io.IOException` - is thrown when there is an error in reading the input stream.
    `java.lang.ClassNotFoundException` - is thrown when the class is not found

## writeExternal

    public void writeExternal(java.io.ObjectOutput outArg)
                       throws java.io.IOException

  This method saves the state of the object by creating a binary compressed stream with information about this object.
  Throws:
    `java.io.IOException` - is thrown when there is an exception while writing the serialized/compressed stream.

Class oracle.xml.parser.v2.XMLNotation extends XMLNode implements Serializable

Serialization Methods

## readExternal

    public void readExternal(java.io.ObjectInput inArg)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  This method reads the information written in the compressed stream by writeExternal method and restores the object correspondingly.
  Throws:
    `java.io.IOException` - is thrown when there is an error in reading the input stream.
    `java.lang.ClassNotFoundException` - is thrown when the class is not found.

## writeExternal

    public void writeExternal(java.io.ObjectOutput outArg)
                       throws java.io.IOException

  This method saves the state of the object by creating a binray compressed stream with information about this object.
  Throws:
    `java.io.IOException` - is thrown when there is an exception while writing the serialized/compressed stream.

Class oracle.xml.parser.v2.XMLNSNode extends XMLNode implements Serializable

Serialization Methods

## readExternal

    public void readExternal(java.io.ObjectInput inArg)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  This method reads the information written in the compressed stream by writeExternal method and restores the object correspondingly.
  Throws:
    `java.io.IOException` - is thrown when there is an error in reading the input stream.
    `java.lang.ClassNotFoundException` - is thrown when the class is not found

## writeExternal

    public void writeExternal(java.io.ObjectOutput outArg)
                       throws java.io.IOException

  This method saves the state of the object by creating a binary compressed stream with information about this object.
  Throws:
    `java.io.IOException` - is thrown when there is an exception while writing the serialized/compressed stream.

Class oracle.xml.parser.v2.XMLParseException extends SAXParseException implements Serializable

Serialized Fields

## mesg

    java.lang.String mesg

## sysId

    java.lang.String sysId

## pubId

    java.lang.String pubId

## type

    int type

Class oracle.xml.parser.v2.XMLPI extends oracle.xml.parser.v2.CharData implements Serializable

Serialization Methods

## readExternal

    public void readExternal(java.io.ObjectInput inArg)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  This method reads the information written in the compressed stream by writeExternal method and restores the object correspondingly.
  Throws:
    `java.io.IOException` - is thrown when there is an error in reading the input stream.
    `java.lang.ClassNotFoundException` - is thrown when the class is not found

## writeExternal

    public void writeExternal(java.io.ObjectOutput outArg)
                       throws java.io.IOException

  This method saves the state of the object by creating a binary compressed stream with information about this object.
  Throws:
    `java.io.IOException` - is thrown when there is an exception while writing the serialized/compressed stream.

Class oracle.xml.parser.v2.XMLText extends oracle.xml.parser.v2.CharData implements Serializable

Serialization Methods

## readExternal

    public void readExternal(java.io.ObjectInput inArg)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  This method reads the information written in the compressed stream by writeExternal method and restores the object correspondingly.
  Throws:
    `java.io.IOException` - is thrown when there is an error in reading the input stream.
    `java.lang.ClassNotFoundException` - is thrown when the class is not found

## writeExternal

    public void writeExternal(java.io.ObjectOutput outArg)
                       throws java.io.IOException

  This method saves the state of the object by creating a binary compressed stream with information about this object.
  Throws:
    `java.io.IOException` - is thrown when there is an exception while writing the serialized/compressed stream.

Class oracle.xml.parser.v2.XSLException extends XMLException implements Serializable

Package oracle.xml.pipeline.controller

Class oracle.xml.pipeline.controller.PipelineException extends java.lang.Exception implements Serializable

Serialized Fields

## type

    java.lang.String type

## processId

    java.lang.String processId

Package oracle.xml.sql

Class oracle.xml.sql.OracleXMLSQLException extends java.lang.RuntimeException implements Serializable

Serialized Fields

## errorTag

    java.lang.String errorTag

## sqlErrorCode

    int sqlErrorCode

## sqlState

    java.lang.String sqlState

## errCodeSet

    boolean errCodeSet

## parentE

    java.lang.Exception parentE

Class oracle.xml.sql.OracleXMLSQLNoRowsException extends OracleXMLSQLException implements Serializable

Package oracle.xml.transx

Class oracle.xml.transx.DuplicateException extends java.lang.RuntimeException implements Serializable

Package oracle.xml.util

Class oracle.xml.util.XMLException extends java.lang.Exception implements Serializable

Serialized Fields

## error

    XMLError error

## mesg

    java.lang.String mesg

## sysId

    java.lang.String sysId

## pubId

    java.lang.String pubId

## type

    int type

## exception

    java.lang.Exception exception

Package oracle.xml.xmlcomp

Class oracle.xml.xmlcomp.XMLCompress extends java.lang.Object implements Serializable

Serialized Fields

## txtif

    java.io.File txtif

## txtof

    java.io.File txtof

## binif

    java.io.File binif

## binof

    java.io.File binof

## textSize

    long textSize

## compSize

    long compSize

Package oracle.xml.xsql

Class oracle.xml.xsql.XSQLServlet extends javax.servlet.http.HttpServlet implements Serializable

Serialized Fields

## myContext

    javax.servlet.ServletContext myContext

Package org.w3c.dom

Class org.w3c.dom.DOMException extends java.lang.RuntimeException implements Serializable

Serialized Fields

## code

    short code

Package org.w3c.dom.events

Class org.w3c.dom.events.EventException extends java.lang.RuntimeException implements Serializable

Serialized Fields

## code

    short code

Package org.w3c.dom.ls

Class org.w3c.dom.ls.LSException extends java.lang.RuntimeException implements Serializable

Serialized Fields

## code

    short code

Package org.w3c.dom.ranges

Class org.w3c.dom.ranges.RangeException extends java.lang.RuntimeException implements Serializable

Serialized Fields

## code

    short code

Package org.w3c.dom.validation

Class org.w3c.dom.validation.ExceptionVAL extends java.lang.RuntimeException implements Serializable

Serialized Fields

## code

    short code

Package org.xml.sax

Class org.xml.sax.SAXException extends java.lang.Exception implements Serializable

Serialized Fields

## exception

    java.lang.Exception exception

  The embedded exception if tunnelling, or null.

Class org.xml.sax.SAXNotRecognizedException extends SAXException implements Serializable

Class org.xml.sax.SAXNotSupportedException extends SAXException implements Serializable

Class org.xml.sax.SAXParseException extends SAXException implements Serializable

Serialized Fields

## publicId

    java.lang.String publicId

  The public identifier, or null.
  See Also:
    `SAXParseException.getPublicId()`

## systemId

    java.lang.String systemId

  The system identifier, or null.
  See Also:
    `SAXParseException.getSystemId()`

## lineNumber

    int lineNumber

  The line number, or -1.
  See Also:
    `SAXParseException.getLineNumber()`

## columnNumber

    int columnNumber

  The column number, or -1.
  See Also:
    `SAXParseException.getColumnNumber()`

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2003, 2009, Oracle and/or its affiliates. All rights reserved.